/*
 * @Author: wufan
 * @Date: 2020-12-01 17:20:49
 * @LastEditors: zhangleyuan
 * @LastEditTime: 2021-01-09 11:08:02
 * @Description: Description
 * @@Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */

import { getUserStore, getUserPermission ,logout,getStoreUser,sendBizAuthCode,editUserPhone,checkBizAuthCode,sendNewPhoneAuthCode,sendLoginAuthCode,login,getLastedVersion, getEnterpriseUser } from '@/data-source/base/request-apis';

export default class StoreService {
    // 获取员工列表 
  static getUserStore(params: any) {
    return getUserStore(params);
  }
  // 获取员工列表 
  static getUserPermission(params: any) {
    return getUserPermission(params);
  }
  //退出登录
  static logout(params: any) {
    return logout(params);
  }
  //退出登录
  static getStoreUser(params: any) {
    return getStoreUser(params);
  }
  //发送业务验证码
  static sendBizAuthCode(params: any) {
    return sendBizAuthCode(params);
  }
  //编辑手机号
  static editUserPhone(params: any) {
    return editUserPhone(params);
  }
  static checkBizAuthCode(params: any){
    return checkBizAuthCode(params);
  }
  static sendNewPhoneAuthCode(params: any){
    return sendNewPhoneAuthCode(params);
  }
  static sendLoginAuthCode(params: any){
    return sendLoginAuthCode(params);
  }
  static login(params: any){
    return login(params);
  }
  static getLastedVersion(params: any){
    return getLastedVersion(params);
  }
  static getEnterpriseUser(params: any){
    return getEnterpriseUser(params);
  }
}